#include "BustaModelCompleteSandwich.h"

BustaModelCompleteSandwich::BustaModelCompleteSandwich(){
	who = 0;
	state = 1;
	
	for(int i =0;i<WIDTH;i++){
		ingredients[i] = new BustaModelFoodPiece();
	}
}

BustaModelCompleteSandwich::~BustaModelCompleteSandwich(){
	for(int i =0;i<WIDTH;i++){
		delete ingredients[i];
	}
}


int BustaModelCompleteSandwich::getWho(){
	return who;
}

void BustaModelCompleteSandwich::setWho(int w){
	who = w;
}

BustaModelFoodPiece* BustaModelCompleteSandwich::getIngredient(int n){
	return ingredients[n];
}

void BustaModelCompleteSandwich::setIngredient(BustaModelFoodPiece* fp, int n){
	delete ingredients[n];
	ingredients[n] = fp;
}

void BustaModelCompleteSandwich::setState(int st_val){
	state = st_val;
}

int BustaModelCompleteSandwich::getState(){
	return state;
}
