/**
 * @file BustaModelSpecialSandwich.h
 * @brief Enumeration of Special Sandwiches
 */

#ifndef BUSTA_SANDWICH_SPECIALSANDWICH
#define BUSTA_SANDWICH_SPECIALSANDWICH

#define NUM_SP_SPECSAND 3

/**
 * @enum SpecialSandwich
 * Types of Special Sandwiches
 *
 */
enum SpecialSandwich{
	LOSE_WEIGHT,	/**< A sandwich to increase a players health and lose weight */
	FRESHEN,		/**< A sandwich to increase the freshness of all of a players ingredients */
	ENERGY_BOOST,	/**< A sandwich to increase time left on all of a players customer orders */
	STEAL,			/**< A sandwich to steal money out of an opponents tip jar */
	GAIN_WEIGHT,	/**< A sandwich to decrease an opponents health */
	SPOIL,			/**< A sandwich to decrease the freshness of all of a players incredients */
	JUMBLE,			/**< A sandwich to jumble an opponents board */
	CONFUSE,		/**< A sandwich to confuse an opponent */
	ENERGY_ZAP,		/**< A sandwich to decrease time left on an opponents customers */
	NOTASANDWICH	/**< Marker for a non-special sandwich */
};

#endif