#include "ExampleTestCase.h"

CPPUNIT_TEST_SUITE_REGISTRATION( ExampleTestCase );


void ExampleTestCase::setUp()
{
	g = new BustaGraphics();
}

void ExampleTestCase::tearDown()
{
	//printf("I like buttons!\n");
	//delete g;
	
}

void ExampleTestCase::testButtons()
{
	
	//check to make sure button links are correct
	CPPUNIT_ASSERT_MESSAGE("Button Link Error", typeid(g->bMainScrn[MS_START_SP]) == typeid(*g->bMainScrn[MS_START_SP].nextLink->nextLink->nextLink->nextLink->nextLink) );
	CPPUNIT_ASSERT_MESSAGE("Button Link Error", typeid(g->bMainScrn[MS_START_SP]) == typeid(*g->bMainScrn[MS_START_SP].prevLink->prevLink->prevLink->prevLink->prevLink) );
	//check to make sure that button parameters are correct
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_START_SP].box.x == MS_START_SP_POS_X);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_START_SP].box.y == MS_START_SP_POS_Y);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_START_SP].box.w == MS_START_SP_W);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_START_SP].box.h == MS_START_SP_H);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_START_MP].box.x == MS_START_MP_POS_X);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_START_MP].box.y == MS_START_MP_POS_Y);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_START_MP].box.w == MS_START_MP_W);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_START_MP].box.h == MS_START_MP_H);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_HIGH_SCORE].box.x == MS_HIGH_SCORE_POS_X);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_HIGH_SCORE].box.y == MS_HIGH_SCORE_POS_Y);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_HIGH_SCORE].box.w == MS_HIGH_SCORE_W);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_HIGH_SCORE].box.h == MS_HIGH_SCORE_H);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_OPTIONS].box.x == MS_OPTIONS_POS_X);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_OPTIONS].box.y == MS_OPTIONS_POS_Y);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_OPTIONS].box.w == MS_OPTIONS_W);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_OPTIONS].box.h == MS_OPTIONS_H);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_QUIT].box.x == MS_QUIT_POS_X);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_QUIT].box.y == MS_QUIT_POS_Y);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_QUIT].box.w == MS_QUIT_W);
	CPPUNIT_ASSERT_MESSAGE("Button Paramter Error", g->bMainScrn[MS_QUIT].box.h == MS_QUIT_H);

	



}
