#include "BustaModelChef.h"

BustaModelChef::BustaModelChef(){
	maxHealth = 100;
	health = maxHealth;
	dead = false;
	character = C0;

}

BustaModelChef::~BustaModelChef(){
}


int BustaModelChef::getHealth(){
	return health;
}

void BustaModelChef::setHealth(int h){
	health = h;
	if(health>0){
		dead = false;
	}
	else{
		dead = true;
	}
}

void BustaModelChef::addHealth(int h){
	health +=h;
	if(health>maxHealth){
		health = maxHealth;
	}
}

void BustaModelChef::subtractHealth(int h){
	health-=h;
	if(health<=0){
		health = 0;
		dead = true;
	}
}

int BustaModelChef::getMaxHealth(){
	return maxHealth;
}

BustaModelCharacter BustaModelChef::getCharacter(){
	return character;
}

void BustaModelChef::setCharacter(BustaModelCharacter c){
	character = c;
}

bool BustaModelChef::isDead(){
	return dead;
}