#include "BustaModelCustomer.h"


BustaModelCustomer::BustaModelCustomer(){
	allottedTime = getRandomTime();
	timedone = time(NULL) + allottedTime;
	
	FoodType t;
	portrait = rand()%5;
	for(int i = 0; i<WIDTH_2; i++){
		t = (FoodType)((rand())% NUMFOODPIECES);
		order[i] = new BustaModelFoodPiece(t,FRESH);
	}
}

BustaModelCustomer::~BustaModelCustomer(){
	for(int i = 0; i<WIDTH_2; i++){
		delete order[i];
		order[i]=NULL;
	}
}

int BustaModelCustomer::getTime(){
	return (int)(timedone-time(NULL));
}

int BustaModelCustomer::getAllottedTime()
{
	return allottedTime;
}

void BustaModelCustomer::setAllottedTime(int newTime)
{
	allottedTime = newTime;
}

void BustaModelCustomer::addTime(int t){
	timedone +=t;
}

void BustaModelCustomer::setTimeLeft(int timeLeft)
{
	timedone = time(NULL) + timeLeft;
}

BustaModelFoodPiece** BustaModelCustomer::getOrder(){
	return order;
}


void BustaModelCustomer::setOrder(BustaModelFoodPiece** o){
	for(int i =0; i<WIDTH_2; i++){
		order[i] = o[i];
	}
}

BustaModelFoodPiece* BustaModelCustomer::getOrder(int n){
	return order[n];
}

void BustaModelCustomer::resetCustomer(){
	allottedTime = getRandomTime();
	timedone = time(NULL) + allottedTime;

	FoodType t;
	portrait = rand()%5;

	for(int i = 0; i<WIDTH_2; i++){
		t = (FoodType)((rand())% NUMFOODPIECES);
		order[i]->setType(t);
		order[i]->setState(FRESH);
	}
}

int BustaModelCustomer::getRandomTime()
{
	return (45 + ((rand()) % 30));
}


